Bug 1413170 - [RFE] Add support for changing disk aliases in oVirt Ansible modules
Summary: [RFE] Add support for changing disk aliases in oVirt Ansible modules
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ansible
Version: 3.6.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.3.4
: 4.3.1
Assignee: Ondra Machacek
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 19:38 UTC by Bimal Chollera
Modified: 2020-08-03 15:17 UTC (History)
10 users (show)

Fixed In Version: ansible-2.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-27 12:14:02 UTC
oVirt Team: Infra
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ansible ansible pull 44951 None closed Ovirt add rename functionality 2020-05-03 15:59:30 UTC

Description Bimal Chollera 2017-01-13 19:38:37 UTC
Description of problem:

Ability to create (add) new VM using a template but changing the Template Provisioning to Thin and also change the Disk Alias and set a different Target using rhevm-shell.


Version-Release number of selected component (if applicable):

RHEV 3.6.9 
How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Unable to create (add) new VM using a template but changing the Template Provisioning to Thin and also change the Disk Alias and set a different Target using rhevm-shell.


Expected results:

Able to create (add) new VM using a template but changing the Template Provisioning to Thin and also change the Disk Alias and set a different Target using rhevm-shell.


Additional info:

Comment 2 Yaniv Kaul 2017-01-13 19:48:31 UTC
We plan to deprecate ovirt-shell. 
I suggest looking at what our ovirt Ansible modules can do.

Comment 14 Martin Perina 2018-03-28 11:53:03 UTC
We will need to support changing disk alias in Ansible 2.6 modules

Comment 15 Martin Perina 2018-07-03 10:13:32 UTC
Changing the title to align with missing part of this bug, unfortunately we missed ansible 2.6, so moving to 2.7

Comment 17 Petr Kubica 2019-04-25 09:57:51 UTC
Verified in beta version of Ansible 2.8
ansible-2.8.0-0.5.b1.el7ae.noarch


Note You need to log in before you can comment on or make changes to this bug.